从显式的、按源配置的源设立组装对话上下文 — 每个源都声明自己的检索模式(文本、语义、混合)、元数据过滤和候选计数。跨源对结果进行合并和去重,可以选择重新排名,然后像 build_context 一样进行格式化和预算。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。提供非空查询、要组装其内存的 user_id 以及非空源列表。
POST /api/v1/projects/{id}/memory/retrieval/context-from-sources
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/memory/retrieval/context-from-sources' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"format_style": "string",
"include_memories": true,
"max_tokens": 42,
"model_type": "string",
"query": "string",
"query_embedding": [
42.0
],
"rerank": true,
"session_id": "string",
"sources": [
{
"metadata_filter": {},
"mode": "string",
"source": "string",
"top_k": 42
}
],
"user_id": "string",
"visibility": "string"
}'
请求示例
{
"format_style": "string",
"include_memories": true,
"max_tokens": 42,
"model_type": "string",
"query": "string",
"query_embedding": [
42.0
],
"rerank": true,
"session_id": "string",
"sources": [
{
"metadata_filter": {},
"mode": "string",
"source": "string",
"top_k": 42
}
],
"user_id": "string",
"visibility": "string"
}
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{}
响应示例 (200)
{}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}